<div class="container">
  <div class="row header-wrapper">
    <div class="col explore-search">
      <app-search-field
        [placeholder]="strings.searchPlaceholder"
        (onSearchChange)="handleSearchChange($event)"
        [searchInput]="searchInput"
        (click)="handleSearchClick($event)"
      ></app-search-field>
      <div
        *ngIf="searchBlock"
        (click)="handleOnBlurSearch($event)"
        class="backdrop"
        style="position: fixed; left: 0; top: 0; bottom: 0; right: 0"
      ></div>
      <div class="search-block" *ngIf="searchBlock">
        <div class="card">
          <div class="card-body">
            <!-- <app-nav-tabs [tabs]="searchCategoryTabs"></app-nav-tabs> -->
            <!-- <br> -->
            <div
              class="row mb-lg-4"
              *ngFor="let result of searchedResults"
              (click)="handleStockClick(result?.company_id)"
            >
              <div class="col-auto px-2">
                <a>
                  <span class="text">{{ result?.symbol }}</span>
                </a>
              </div>
              <div class="col px-2">
                <a>
                  <span class="sub-text">{{ result?.name }}</span>
                </a>
              </div>
              <div class="col-auto text-right px-2">
                <a>
                  <span class="text">Stock</span>
                </a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="col-auto sort-filter-wrapper">
      <button class="btn" (click)="handleMobileFilterClick($event)">
        <img src="assets/icons/icon-sort.png" />
        <span>Sort&nbsp;&amp; Filter</span>
      </button>
    </div>
  </div>

  <div class="row">
    <div class="col-lg-4 filter-wrapper">
      <div
        *ngIf="!isDesktop"
        [ngClass]="{ 'mobile-filter-open': isMobileFilterOpen }"
        (click)="handleMobileFilterClose($event)"
        class="mobile-filter-backdrop"
      ></div>
      <div
        *ngIf="!isDesktop"
        [ngClass]="{ 'mobile-filter-open': isMobileFilterOpen }"
        class="mobile-filter-panel"
      >
        <div class="filter-title container">
          <div class="row align-items-center">
            <div class="col filter-heading">Sort & Filter</div>
            <div class="col-auto filter-title-action">
              <button
                class="btn btn-link btn-filter-close"
                (click)="handleMobileFilterClose($event)"
              >
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
          </div>
        </div>

        <div class="filter-body">
          <div class="filter-category-wrapper">
            <div class="filter-category">
              <div
                class="filter-type"
                *ngFor="let fil of filter; let i = index"
              >
                <a
                  [ngClass]="{ active: activeFilterIndex == i }"
                  (click)="handleMobileFilterSelect($event, fil, i)"
                >
                  {{ fil.name }}
                </a>
              </div>
            </div>
          </div>
          <div class="filter-options-wrapper">
            <div *ngIf="activeFilter" class="filter-options">
              <ng-container
                *ngFor="let value of filter[activeFilterIndex].value"
              >
                <div
                  *ngIf="filter[activeFilterIndex].type === 'single'"
                  class="form-check"
                  (click)="handleMobileFilterChange($event, value)"
                >
                  <input
                    [checked]="
                      tempSelectedFilterData[activeFilter.name].includes(value)
                    "
                    class="form-check-input"
                    type="radio"
                    [name]="activeFilter.name"
                    [id]="value"
                    [value]="value"
                  />
                  <label class="form-check-label" [for]="value">
                    {{ value }}
                  </label>
                </div>

                <div
                  *ngIf="filter[activeFilterIndex].type === 'multiple'"
                  class="form-check"
                  (click)="handleMobileFilterChange($event, value)"
                >
                  <input
                    [checked]="
                      tempSelectedFilterData[activeFilter.name].includes(value)
                    "
                    class="form-check-input"
                    type="checkbox"
                    [name]="activeFilter.name"
                    [id]="value"
                    [value]="value"
                  />
                  <label class="form-check-label" [for]="value">
                    {{ value }}
                  </label>
                </div>
              </ng-container>
            </div>
          </div>
        </div>

        <div class="filter-footer container">
          <div class="row">
            <div class="col-6">
              <button
                (click)="handleMobileFilterReset($event)"
                class="btn btn-block btn-outline-primary"
              >
                Reset
              </button>
            </div>
            <div class="col-6">
              <button
                type="button"
                class="btn btn-block btn-primary"
                (click)="handleMobileFilterApply()"
              >
                Apply
              </button>
            </div>
          </div>
        </div>
      </div>
      <div class="d-none d-md-block deskfilterui">
        <div class="header" *ngIf="isDesktop">
          <div class="card">
            <div class="card-body pl-1 pr-1">
              <div class="row">
                <div class="col heading text-left">FILTERS</div>
                <div
                  class="col-auto clear text-right"
                  style="cursor: pointer"
                  (click)="handleMobileFilterReset($event)"
                >
                  Clear filters
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- filter content -->
        <ngb-accordion
          #acc="ngbAccordion"
          *ngIf="isDesktop"
          [activeIds]="'custom-panel-' + activeFilterIndex"
        >
          <ngb-panel
            *ngFor="let fil of filter; let i = index"
            [id]="'custom-panel-' + i"
          >
            <ng-template ngbPanelHeader>
              <div
                class="d-flex justify-content-between"
                (click)="
                  acc.toggle('custom-panel-' + i);
                  handleMobileFilterSelect($event, fil, i)
                "
                style="cursor: pointer"
              >
                <div class="d-flex align-items-center justify-content-between">
                  <h5 class="m-0">{{ fil.name }}</h5>
                </div>
                <div class="d-flex">
                  <img src="assets/icons/arrow_right.svg" style="max-width:10px" />
                </div>
              </div>
              <!-- <div  class="d-flex align-items-center justify-content-between" (click)="acc.toggle('custom-panel-'+i);handleMobileFilterSelect($event, fil, i)">
              <h5 class="m-0">{{fil.name}}</h5>
            </div> -->
            </ng-template>
            <ng-template ngbPanelContent>
              <ng-container
                *ngFor="let value of filter[activeFilterIndex].value"
              >
                <div
                  *ngIf="filter[activeFilterIndex].type === 'single'"
                  class="form-check"
                  (click)="
                    handleMobileFilterChange($event, value);
                    handleMobileFilterApply()
                  "
                >
                  <input
                    [checked]="
                      tempSelectedFilterData[activeFilter.name].includes(value)
                    "
                    class="form-check-input"
                    type="radio"
                    [name]="activeFilter.name"
                    [id]="value"
                    [value]="value"
                  />
                  <label class="form-check-label" [for]="value">
                    {{ value }}
                  </label>
                </div>

                <div
                  *ngIf="filter[activeFilterIndex].type === 'multiple'"
                  class="form-check"
                  (click)="
                    handleMobileFilterChange($event, value);
                    handleMobileFilterApply()
                  "
                >
                  <input
                    [checked]="
                      tempSelectedFilterData[activeFilter.name].includes(value)
                    "
                    class="form-check-input"
                    type="checkbox"
                    [name]="activeFilter.name"
                    [id]="value"
                    [value]="value"
                  />
                  <label class="form-check-label" [for]="value">
                    {{ value }}
                  </label>
                </div>
              </ng-container>
            </ng-template>
          </ngb-panel>
        </ngb-accordion>
      </div>
    </div>

    <div class="col-12 col-lg-8 content-list-wrapper">
      <div class="content-list-body">
        <div class="row d-md-block d-none">
        <div class="col explore-search">
          <app-search-field
            [placeholder]="strings.searchPlaceholder"
            (onSearchChange)="handleSearchChange($event)"
            [searchInput]="searchInput"
            (click)="handleSearchClick($event)"
          ></app-search-field>
          <div
            *ngIf="searchBlock"
            (click)="handleOnBlurSearch($event)"
            class="backdrop"
            style="position: fixed; left: 0; top: 0; bottom: 0; right: 0"
          ></div>
          <div class="search-block" *ngIf="searchBlock">
            <div class="card">
              <div class="card-body">
                <!-- <app-nav-tabs [tabs]="searchCategoryTabs"></app-nav-tabs> -->
                <!-- <br> -->
                <div
                  class="row mb-lg-4"
                  *ngFor="let result of searchedResults"
                  (click)="handleStockClick(result?.company_id)"
                >
                  <div class="col-auto px-2">
                    <a>
                      <span class="text">{{ result?.symbol }}</span>
                    </a>
                  </div>
                  <div class="col px-2">
                    <a>
                      <span class="sub-text">{{ result?.name }}</span>
                    </a>
                  </div>
                  <div class="col-auto text-right px-2">
                    <a>
                      <span class="text">Stock</span>
                    </a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
        <div style="padding: 10px">
          <span>{{ allStocksCount }} total stocks </span>
        </div>

        <div
          class="mb-2"
          *ngFor="let stock of allStocks; let i = index"
          [ngClass]="{ loadMore: i === allStocks.length - 2 }"
        >
          <app-info-card
            class="d-lg-none"
            [name]="stock.company"
            [symbol]="stock.symbol"
            [price]="stock.price"
            [companyId]="stock.companyId"
            [img]="stock.logo"
            [company]="stock.market_cap"
            [stats]="stock.gain"
            [sector]="stock.sector"
            [previous_price]="stock.yesterday_price"
          ></app-info-card>
        </div>

        <div
          *ngFor="let stock of allStocks; let i = index"
          [ngClass]="{ loadmore: i === allStocks.length - 2 }"
        >
          <app-info-card-all-stock
            class="d-none d-lg-block"
            name="{{ stock.company }}"
            logo="{{ stock.logo }}"
            sector="{{ stock.sector }}"
            capType="{{ stock.cap }}"
            symbol="{{ stock.symbol }}"
            price="{{ stock.price }}"
            dailyChange="{{ stock.gain }}"
            [companyId]="stock.companyId"
            dailyChangeStatusImage="assets/icons/triangle.svg"
            marketCap="{{ stock.market_cap }}"
            [previous_price]="stock.yesterday_price"
          >
          </app-info-card-all-stock>
        </div>

        <div
          *ngIf="allStocksCount > 9"
          class="btn btn-primary load-more"
          (click)="handleLoadMore()"
        >
          {{ loading ? "Loading.." : "Load more" }}
        </div>
        <!-- <button
          class="btn d-lg-none"
          (click)="open(filterModal)"
          style="
            position: fixed;
            top: 75px;
            right: 15px;
            z-index: 999;
            padding: 5px 37px;
            color: transparent;
          "
        >
          click
        </button> -->
      </div>
    </div>
  </div>
</div>
